2017-10-17 05:46 CEST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000001Branch 0.2.1-FINALFeature Requestpublic2013-06-04 16:34
ReporterQuix0r 
Assigned ToQuix0r 
PrioritynoneSeverityfeatureReproducibilityN/A
StatusassignedResolutionopen 
PlatformPHP5-LatestOSLinuxOS Version2.4/2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version 
Summary0000001: Eure Ideen für das kommende 0.2.1-FINAL
DescriptionDas kommende 0.2.1-Final soll "eine runde Sache" werden. Also postet eure Ideen hier ruhig. Schlechte Ideen gibt es nicht, nur welche, die ich lieber in 0.3.0 einbinden will. :)

Also postet auch diese hier. Um mal einen Anfang zu machen - aber nicht zu "technisch" werdend, liste ich mal ein paar Ideen von mir auf:

- Derzeit ist das Login in den Adminbereich bei einigen gestört. Siehe 0000004
- Admin-Bereich komplett relaunchen, es wird bei zu viele Untermenüs langsam unübersichtlich, trotz der task-Erweiterung.
- Diese Übersicht sollte durch die neuen Filter besser gegliedert werden
- Sprachsystem von Konstanten nach Array-Elementen umschreiben (0000004)
- Regelmäßiger Check nach Updates - auch Erweiterungen - beim Login in den Admin-Bereich (ähnlich wie OpenAds aka. phpAdsNew dies handhabt).
- Anbindung an das kommende Hub-System (namenlos derzeit), dies sollte ausschließlich ab 0.3.0 der Fall sein, ein Connector für 0.2.1-Überwechseler sollte es aber auch geben
- Umstellung des Menüpunktes "Menü-System" (0000233)
- ...

Wir sammeln am besten erstmal hier alles und sortieren dann nach Versionsnummer die Ideen ein, so kann jeder posten, aber achtet auf doppelte Ideen... Niemand will Sachen zweimal coden... :mrgreen: ;)

- Surfbar ist in Arbeit (90% fertig, ext-surfbar, 0000006)
- Refback ist fertig (Alpha-Phase, ich brauche hier mehr Tester! 0000007)
- Anbindung Primera-API (<50% fertig, mal geschaetzt, ext-refback, 0000008)
- Deutliche verbesserte Cache-Erweiterung: Das Script haengt nun staerker von den Cache-Dateien ab! Solltet ihr Probleme haben, bitte alle Verzeichnisse innerhalb des Verzeichnisses inc/cache/ leeren (nicht das Verzeichnis selbst loeschen!) und erneut probieren. Caching vom Adminmenue ist experimenteller Code.
- Ref-Link gefixt (Ref-Rallye noch nicht!)
- Tresor-Erweiterung (ext-safe, 0% fertig, nur Dummy, 0000009)
- Universelle API-Anbindungserweiterung (Erweiterung ext-network, 1% fertig, 0000002)
- Kontoauszug aller Auf- und Abbuchungen (Erweiterung ext-booking, ca. 60% fertig, 0000010)
- Event-System für das Mitglied: Auflistung aller wichtigen Aktionen des Users, nicht jede Buchung; 0% fertig; Erweiterung ext-events, 0000011)
- Filter-System (siehe inc/filters.php, nicht mit dem irgentwann mal angekündigtem URL-Filtersystem verwechseln; ca. 10% fertig)
- Expression-Language, soll mehr Dynamitaet bringen und besseres URL-Rewriting (0000176)
- Erweiterung ext-partner (0000171; Partnerseiten verwaltbar)
- Erweiterung ext-validator (0000172; W3.org-Validierungslinks direkt eingebunden)
- Erweiterung ext-autoreg (0000183, Auto-Regger Client und Server)
- Erweiterung ext-bank (0000184, Bank mit verzinsbaren Konto usw.)
- Erweiterung ext-clickbanner (0000185, durch Mitglieder/Sponsor buchbare Klickbanner, anstelle der Bannerrotationscode/Bannertemplates)
- Erweiterung ext-debug (0000186, einfaches Zusenden der debug.log-Datei an mxchange.org)
- Erweiterung ext-forced (0000187, Forcedbanner, Mitglieder klicken, Sponsoren buchen)
- Erweiterung ext-grade (0000189, Einstufung der Mitglieder mit Sonderrabatten/Sondergutschriften)
- Erweiterung ext-jackpot (0000190, Jackpot-Einbindung)
- Erweiterung ext-refsell (0000191, Accounts ohne Referal werden verkaufbar)
- Erweiterung ext-report (0000192, Bugsmails an mxchange.org automatisch weiterleiten)
- Erweiterung ext-terms (0000193, Ersatz fuer statisches Template agb.tpl)
- Erweiterung ext-imprint (0000202, Ersatz fuer statisches Template impressum.tpl)
- Erweiterung ext-announcement (0000194, Ankuendigungen zum Mailtausch/Paidmailer)
- Erweiterung ext-coupon (0000211, Gutscheine fuer Mitglieder)
- Erweiterung ext-signup (0000229, SignUp-/Bonusaktionen fuer Mitglieder)
- Erweiterung ext-shredder (0000230, Punkte spenden fuer einen guten Zweck)
- Erweiterung ext-grade (0000189, Accountstufen)
- Erweiterung ext-transaction (0000247, Transaktionen)
- Zeitgesteuerter Versand von Bonusmails (0000204)
- Diverese kleine Verbesserungen/Fixes, die mir nicht mehr einfallen... :)
Additional InformationText ohne erledigten Dinge aus dem http://forum.mxchange.org/topic-288.html.
Tagsanonymity, API, cache, events, filter, Primera, proxy-support, surfbar
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
child of 0000002assignedQuix0r Erweiterung ext-network - Universelle Werbenetzwerk-Erweiterung 
child of 0000011new Erweiterung ext-events - Wichtige Ereignisse des Mitgliederaccounts 
child of 0000171new Erweiterung ext-partner: POST-Ping an Partnerseiten bei Anmeldung senden 
child of 0000172closedQuix0r Erweiterung ext-validator 
child of 0000122new Erweiterung ext-seo: Soll ext-rewrite abloesen 
child of 0000006assignedQuix0r Erweiterung ext-surfbar: Besuchertausch "Surfbar" 
child of 0000007closedQuix0r Erweiterung ext-refback - Refback-System 
child of 0000009new Erweiterung ext-safe: Tresor mit prozentualer monatlicher Gutschrift (bis Maximum) 
child of 0000010closedQuix0r Erweiterung ext-booking: Kontoauszug fuer die Mitglieder/Sponsoren 
child of 0000183new Erweiterung ext-autoreg - Auto-Regger Client und Server 
child of 0000184new Erweiterung ext-bank - Bank mit verzinsbaren Konto usw. 
child of 0000185new Erweiterung ext-clickbanner - Durch Mitglieder/Sponsor buchbare Klickbanner, anstelle der Bannerrotationscode/Bannertemplates 
child of 0000186new Erweiterung ext-debug - Einfaches Zusenden der debug.log-Datei an mxchange.org 
child of 0000187assignedQuix0r Erweiterung ext-forced - Forcedbanner, Mitglieder klicken, Sponsoren buchen 
child of 0000189assignedQuix0r Erweiterung ext-grade - Einstufung der Mitglieder mit Sonderrabatten/Sondergutschriften 
child of 0000190new Erweiterung ext-jackpot - Jackpot-Einbindung 
child of 0000191new Erweiterung ext-refsell - Accounts ohne Referral werden verkaufbar 
child of 0000192new Erweiterung ext-report - Bugsmails an mxchange.org automatisch weiterleiten 
child of 0000193new Erweiterung ext-terms - Ersatz fuer statisches Template agb.tpl 
child of 0000194new Erweiterung ext-announcement - Ankuendigungen fuer Gast,Mitglied,Sponsor 
child of 0000202new Erweiterung ext-imprint - Impressum einstellen 
child of 0000204new Zeitgesteuerter Mailversand 
child of 0000211closedQuix0r Erweiterung ext-coupon - Ausstellen und Versenden von Gutscheinen 
child of 0000176assignedQuix0r Globalere Verwendung der Expression-Language (Kurz: EL) 
child of 0000004closedQuix0r Alle Sprachkonstanten in Array-Elemente umschreiben 
child of 0000214new Erweiterung ext-currency - Anbindung an APIs diverser virtueller Waehrungen 
child of 0000229new Erweiterung ext-signup: SignUp-/Bonusaktionen 
child of 0000230new Erweiterung ext-shredder: Punkte zu einem guten Zweck spenden 
child of 0000233new Menüsysteme bearbeiten - Neu überarbeiten 
child of 0000247new Erweiterung ext-transaction: "Transaktionsspiel" 
+Relationships

-Notes

~0000001

Quix0r (administrator)

Ich werde noch die einzelen größeren Dinge eigene Issues geben, dann können wir sie getrennt tracken.

~0000485

Quix0r (administrator)

Noch mehr Erweiterungen sind bereits in der Repository dazugekommen und nun auch hier dokumentiert.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-18 01:22 Quix0r New Issue
2008-12-18 01:22 Quix0r Status new => assigned
2008-12-18 01:22 Quix0r Assigned To => Quix0r
2008-12-18 01:24 Quix0r Tag Attached: Anonymity
2008-12-18 01:24 Quix0r Tag Attached: API
2008-12-18 01:24 Quix0r Tag Attached: Cache
2008-12-18 01:24 Quix0r Tag Attached: Events
2008-12-18 01:24 Quix0r Tag Attached: Filter
2008-12-18 01:24 Quix0r Tag Attached: Primera
2008-12-18 01:24 Quix0r Tag Attached: Proxy-Support
2008-12-18 01:24 Quix0r Tag Attached: Surfbar
2008-12-18 01:40 Quix0r Description Updated
2008-12-18 01:43 Quix0r Additional Information Updated
2008-12-18 01:44 Quix0r Fixed in Version => 0.2.1-FINAL
2008-12-18 01:44 Quix0r Additional Information Updated
2008-12-18 01:46 Quix0r Additional Information Updated
2008-12-18 20:28 Quix0r Sticky Issue No => Yes
2008-12-18 20:52 Quix0r Note Added: 0000001
2008-12-18 21:01 Quix0r Description Updated
2008-12-18 21:04 Quix0r Relationship added parent of 0000002
2008-12-20 01:08 Quix0r Description Updated
2008-12-20 01:08 Quix0r Relationship added parent of 0000004
2008-12-20 01:09 Quix0r Description Updated
2008-12-20 01:16 Quix0r Relationship added parent of 0000006
2008-12-20 01:17 Quix0r Description Updated
2008-12-20 01:20 Quix0r Relationship added parent of 0000007
2008-12-20 01:21 Quix0r Description Updated
2008-12-20 01:25 Quix0r Relationship added child of 0000008
2008-12-20 01:27 Quix0r Description Updated
2008-12-20 01:33 Quix0r Relationship added child of 0000009
2008-12-20 01:34 Quix0r Description Updated
2008-12-20 01:37 Quix0r Relationship added child of 0000010
2008-12-20 01:39 Quix0r Description Updated
2008-12-20 01:40 Quix0r Relationship deleted child of 0000008
2008-12-20 01:40 Quix0r Relationship deleted child of 0000010
2008-12-20 01:40 Quix0r Relationship deleted child of 0000009
2008-12-20 01:41 Quix0r Relationship added parent of 0000008
2008-12-20 01:41 Quix0r Relationship added parent of 0000009
2008-12-20 01:41 Quix0r Relationship added parent of 0000010
2008-12-20 01:44 Quix0r Relationship added parent of 0000011
2008-12-20 01:45 Quix0r Priority normal => none
2008-12-20 01:45 Quix0r Description Updated
2008-12-20 01:49 Quix0r Description Updated
2009-02-06 03:02 Quix0r Build => SVN-HEAD
2009-02-06 03:02 Quix0r Description Updated
2009-08-06 16:04 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 16:04 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-11-25 22:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-02-14 04:10 Quix0r Description Updated
2010-02-14 04:10 Quix0r Relationship added parent of 0000171
2010-02-14 04:10 Quix0r Relationship added parent of 0000172
2010-05-26 17:33 Quix0r Description Updated
2010-05-26 17:42 Quix0r Relationship added parent of 0000176
2010-05-26 17:44 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-05-28 18:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 18:41 Quix0r Product Version => 0.2.1-FINAL
2010-06-21 09:10 Quix0r Relationship added child of 0000122
2010-06-21 09:11 Quix0r Relationship deleted parent of 0000006
2010-06-21 09:11 Quix0r Relationship added child of 0000006
2010-06-21 09:11 Quix0r Relationship deleted parent of 0000007
2010-06-21 09:12 Quix0r Relationship added child of 0000007
2010-06-21 09:12 Quix0r Relationship deleted parent of 0000008
2010-06-21 09:12 Quix0r Relationship added child of 0000008
2010-06-21 09:12 Quix0r Relationship deleted parent of 0000009
2010-06-21 09:12 Quix0r Relationship added child of 0000009
2010-06-21 09:12 Quix0r Relationship deleted parent of 0000010
2010-06-21 09:12 Quix0r Relationship added child of 0000010
2010-06-21 09:12 Quix0r Relationship replaced child of 0000011
2010-06-21 09:13 Quix0r Relationship replaced child of 0000171
2010-06-21 09:13 Quix0r Relationship replaced child of 0000172
2010-06-21 09:13 Quix0r Relationship replaced child of 0000002
2010-07-01 04:16 Quix0r Sticky Issue Yes => No
2010-07-01 09:07 Quix0r Sticky Issue No => Yes
2010-08-25 21:41 Quix0r Note Added: 0000485
2010-08-25 21:41 Quix0r Description Updated View Revisions
2010-08-25 21:42 Quix0r Description Updated View Revisions
2010-08-25 22:06 Quix0r Description Updated View Revisions
2010-08-25 22:21 Quix0r Description Updated View Revisions
2010-08-25 22:21 Quix0r Relationship added child of 0000183
2010-08-25 22:22 Quix0r Relationship added child of 0000184
2010-08-25 22:22 Quix0r Relationship added child of 0000185
2010-08-25 22:22 Quix0r Relationship added child of 0000186
2010-08-25 22:22 Quix0r Relationship added child of 0000187
2010-08-25 22:23 Quix0r Relationship added child of 0000188
2010-08-25 22:23 Quix0r Relationship added child of 0000189
2010-08-25 22:23 Quix0r Relationship added child of 0000190
2010-08-25 22:23 Quix0r Relationship added child of 0000191
2010-08-25 22:24 Quix0r Relationship added child of 0000192
2010-08-25 22:24 Quix0r Relationship added child of 0000193
2010-09-13 00:28 Quix0r Description Updated View Revisions
2010-09-13 00:28 Quix0r Relationship added child of 0000194
2010-11-03 22:08 Quix0r Description Updated View Revisions
2010-11-03 22:09 Quix0r Relationship added child of 0000202
2010-11-11 18:54 Quix0r Relationship added child of 0000204
2010-11-11 18:55 Quix0r Description Updated View Revisions
2011-06-26 00:09 Quix0r Relationship added child of 0000211
2011-06-26 00:09 Quix0r Description Updated View Revisions
2011-06-29 18:16 Quix0r Relationship deleted child of 0000211
2011-06-29 18:17 Quix0r Relationship added parent of 0000211
2011-07-16 13:28 Quix0r Relationship deleted parent of 0000211
2011-07-16 13:28 Quix0r Relationship added child of 0000211
2011-07-16 13:28 Quix0r Relationship deleted parent of 0000176
2011-07-16 13:28 Quix0r Relationship added child of 0000176
2011-07-16 13:29 Quix0r Relationship deleted parent of 0000004
2011-07-16 13:29 Quix0r Relationship added child of 0000004
2011-11-11 22:29 Quix0r Relationship added child of 0000213
2011-11-11 22:30 Quix0r Description Updated View Revisions
2011-11-12 04:32 Quix0r Relationship added child of 0000214
2011-11-12 04:39 Quix0r Description Updated View Revisions
2012-10-04 20:12 Quix0r Relationship added child of 0000229
2012-10-04 20:13 Quix0r Description Updated View Revisions
2012-10-04 20:15 Quix0r Relationship added child of 0000230
2012-10-04 20:16 Quix0r Description Updated View Revisions
2012-10-04 20:20 Quix0r Relationship deleted child of 0000188
2012-10-04 20:20 Quix0r Relationship deleted child of 0000213
2012-10-04 20:20 Quix0r Relationship deleted child of 0000008
2012-10-19 11:50 Quix0r Description Updated View Revisions
2012-10-19 11:50 Quix0r Relationship added child of 0000233
2012-10-21 12:05 Quix0r Summary Eure Ideen für das kommende 0.2.1-Final => Eure Ideen für das kommende 0.2.1-FINAL
2013-06-04 16:33 Quix0r Description Updated View Revisions
2013-06-04 16:34 Quix0r Relationship added child of 0000247
+Issue History